%define name w3perl
%define version 2.90
%define release 1mdk
%define htdocs /var/www/html/w3perl
%define cgi /var/www/cgi-bin/w3perl

Summary: Web logfile analyser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Networking/WWW
URL: http://www.w3perl.com/softs/
BuildRequires: perl 
Requires: perl , fly , fly 
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Web logfile analyser to get stats over your WWW server. Use the admin
interface to generate your configuration file with your browser at
http://localhost/w3perl/admin or edit manually the configuration file
available in /w3perl/config/ to customize your stats output. Default
installation is %{htdocs}

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%install
perl install.pl -r $RPM_BUILD_ROOT -i $RPM_BUILD_ROOT%{htdocs} -d $RPM_BUILD_ROOT%{cgi}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{htdocs}
%{cgi}

%changelog
* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.90-1mdk
- 2.90

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.89-2mdk
- rebuild

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.89-1mdk
- from Laurent Domisse <domisse@w3perl.com> :
	- Fix overwriting configuration file

* Tue Mar 05 2002 Laurent Domisse <domisse@w3perl.com>
- First RPM release

doc %{htdocs}/docs
config %{htdocs}/config

